Package ch.qos.logback.core.status

# Interface StatusListener

All Known Implementing Classes:
  `NopStatusListener`, `OnConsoleStatusListener`, `OnErrorConsoleStatusListener`, `OnPrintStreamStatusListenerBase`, `StatusListenerAsList`

public interface StatusListener
A StatusListener registered with logback context's `StatusManager` will receive notification of every incoming `status` message.

Author:
  Ceki Gülcü

## Method Summary

Modifier and Type
Method
Description
`void`
`addStatusEvent(Status status)`

## Method Details

### addStatusEvent

void addStatusEvent(Status status)